Main Site Documentation

G120 and firmwares 4.3.7 and 4.3.8


#1

I’m maintaining one device on Gadgeteer Spider that has firmware 4.3.7.1, and my installed libraries are 4.3.7.10. I’ve bought some more GHI Spider boards and need devices 2 and 3 up and running, and now find out that they have firmware 4.3.8.1 and I can’t load the same software. How do I upgrade my first spider to firmware 4.3.8, and where do I download libraries for 4.3.8? Thanks


#2

All sdks are here https://www.ghielectronics.com/support/netmf/sdks the libraries and firmware are installed together.

Use fez config to update.


#3

Thanks for the link. I’ve downloaded the “GHI Electronics NETMF SDK 2016 R1” package, and now, when I’m recompiling, I get a bunch of 'The type or namespace name ‘GHIElectronics’ does not exist in the namespace ‘Gadgeteer.Modules’, but I seem to have valid references, and all the relevant references have a version # of 4.3.8.1 (the Gadgeteer references are #2.43.1.0)

For example, the compiler (VS2013) now complains about this:
Gadgeteer.Modules.GHIElectronics.RS232 serprt;

Saying that the term GHIElectronics is unknown. Here are my references:

Any suggestions? Thanks


#4

Forget it. Even though the version # showed correct, I had to remove the reference and then add it in again.


#5

GHIElectronics: Thanks for all your help. Gadgeteer has been a blast, and I’m so sad it’s gone. Here’s my result: Three waterproof, battery-powered, cellular radio transmitters we use for Orienteering events, ready for next week’s Canadian Championships.


#6

That is great. I think you will want to see tomorrow’s tech talk at 10am :wink: